<?PHP
declare(strict_types = 1);

/**
 * Custom exception class for missing page parameters.
 */
class MDpageParameterMissingException extends Exception {

    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        $errorMsg = 'Parameter: <b>' . $this->getMessage() . '</b> is required but missing.';
        return $errorMsg;

    }

}
